# Irrigation Package

# -----------------------------------------------------------------------------
# Orbit B-hyve Faucet Valve (moved to UI config flow)

# -----------------------------------------------------------------------------
# Irrigation Sprinkler Groups
switch:
  - platform: group
    name: Sprinkler Zones Front
    entities:
      - switch.front_yard
      - switch.front_garden
      - switch.front_street

  - platform: group
    name: Sprinkler Zones Back
    entities:
      - switch.back_yard_grass
      - switch.back_yard_patio
      - switch.back_yard_shrubs

  - platform: group
    name: Irrigation
    entities:
      - switch.sprinkler_zones_front
      - switch.sprinkler_zones_back
      - switch.all_areas_schedule

homeassistant:
  customize:
    switch.irrigation:
      icon: mdi:water-pump
